Bug 19385 - t/Calendar.t is failing randomly
Summary: t/Calendar.t is failing randomly
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-28 17:49 UTC by Jonathan Druart
Modified: 2017-12-07 22:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19385: Fix random t/Calendar.t failure - clear the cache before (1.62 KB, patch)
2017-09-28 17:51 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-09-28 17:49:01 UTC
The cache 'exception_holidays' may be populated when we run these tests, we need to clear it before the tests are run.
Comment 1 Jonathan Druart 2017-09-28 17:51:28 UTC
Created attachment 67431 [details] [review]
Bug 19385: Fix random t/Calendar.t failure - clear the cache before

The cache 'exception_holidays' may be populated when we run these tests,
we need to clear it before the tests are run.

Test plan:
  prove t/db_dependent/Circulation/CalcDateDue.t  t/Calendar.t

Without this patch, t/Calendar will fail with:
  #   Failed test 'Exception holiday is not a closed day test'
  #   at t/Calendar.t line 159.
  #          got: '1'
  #     expected: '0'
  # Looks like you failed 1 test of 38.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 2 Jonathan Druart 2017-09-28 18:21:17 UTC
Pushed to master for 17.11.
Comment 3 Fridolin SOMERS 2017-10-03 14:00:10 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 4 Katrin Fischer 2017-10-06 06:16:30 UTC
This patch has been pushed to 16.11.x and will be in 16.11.13.